/**
 * @license
 * Copyright (c) 2024 Handsoncode. All rights reserved.
 */
import { CellError } from '../Cell';
import { ParsingError } from '../parser/Ast';
/**
 * Represents a cell that contains a parsing error.
 */
export declare class ParsingErrorVertex {
    readonly errors: ParsingError[];
    readonly rawInput: string;
    /**
     * Constructor
     */
    constructor(errors: ParsingError[], rawInput: string);
    /**
     * Returns the value of the cell.
     */
    getCellValue(): CellError;
    /**
     * Returns the formula of the cell.
     */
    getFormula(): string;
}
