/**
 * @license
 * Copyright (c) 2024 Handsoncode. All rights reserved.
 */
import { DependencyGraph } from '../DependencyGraph';
import { InternalScalarValue, RawInterpreterValue, RawNoErrorScalarValue } from '../interpreter/InterpreterValue';
import { SimpleRangeValue } from '../SimpleRangeValue';
import { SearchOptions } from './SearchStrategy';
export declare abstract class AdvancedFind {
    protected dependencyGraph: DependencyGraph;
    protected constructor(dependencyGraph: DependencyGraph);
    advancedFind(keyMatcher: (arg: RawInterpreterValue) => boolean, rangeValue: SimpleRangeValue): number;
    protected basicFind(searchKey: RawNoErrorScalarValue, rangeValue: SimpleRangeValue, searchCoordinate: 'col' | 'row', { ordering, matchExactly }: SearchOptions): number;
    protected findNormalizedValue(searchKey: RawNoErrorScalarValue, searchArray: InternalScalarValue[]): number;
}
